## Name

MAKDIR — Create directory file

## Synopsis

`makdir` `path`

## Description

Creates a new directory file acdording to the pathlist given. The pathlist must refer to a parent directory for which the user has write permission.

The new directory is initialized and initially does not contain files except for the `.` and `..` pointers to its parent directory and itself, respectively (see the section called “Anonymous Directory Names”). All access permissions are enabled (except sharable).

It is customary (but not mandatory) to capitalize directory names.

For more information see: the section called “Multifile Devices And Directory Files”, the section called “Creating and Using Directories”, the section called “Deleting Directory Files”, the section called “Anonymous Directory Names”, the section called “Directory Files”

## Examples

    makdir /d1/STEVE/PROJECT

    makdir DATAFILES

    makdir ../SAVEFILES